#!/bin/bash

# Check if process have root permissions
mkdir -p /etc/root &> /dev/null
administrador=$?
if [ ${administrador} -eq 0 ] ; then
  rm -rf /etc/root
else
  echo "blockauth: root permissions are required"
  exit
fi
echo ""
echo "blockauth: unninstallation"
echo ""
echo "blockauth: removing file /usr/bin/blockauth"
rm -rf /usr/bin/blockauth
echo "blockauth: removing file /etc/systemd/system/blockauth.service"
rm -rf /etc/systemd/system/blockauth.service
echo "blockauth: removing configuration folder /etc/blockauth"
rm -rf /etc/blockauth
echo "blockauth: reloading systemd"
systemctl daemon-reload
echo "blockauth: finished"
